/*
    Copyright (C) 2006  Nicolas Le Guen <goldenear@free.fr>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// QT includes.
#include <qframe.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qvbox.h>
#include <qhbox.h>
#include <qiconset.h>

// KDE includes.
#include <ktoolbar.h>
#include <kpushbutton.h>
#include <kiconloader.h>
#include <klistview.h>

// Local includes.
#include "playlistview.h"

PlaylistView::PlaylistView(QWidget* parent)
    : QVBox(parent, "PlaylistView")
{
    KToolBar *tb = new KToolBar( this );
    tb->setMovingEnabled( false );
    tb->setIconSize( 16 );
    tb->insertButton( "filenew", 0, true, "New" );
    tb->insertButton( "fileopen", 1, true, "Open...");
    tb->insertLineSeparator();
    tb->insertButton( "filesave", 2, true, "Save" );
    tb->insertButton( "filesaveas", 3, true, "Save As..." );
    tb->insertLineSeparator();
    tb->insertButton( "reload", 4, true, "Reload" );

    KListView *playList = new KListView ( this, "Playlist" );

    QHBox *bottomToolBar = new QHBox( this );
    KPushButton *itemUp = new KPushButton ( QIconSet( BarIcon ("up") ), 0, bottomToolBar );
    KPushButton *itemDown = new KPushButton ( QIconSet( BarIcon ("down") ), 0, bottomToolBar );
    KPushButton *itemAdd = new KPushButton ( QIconSet( BarIcon ("add") ), 0, bottomToolBar );
    KPushButton *itemRemove = new KPushButton ( QIconSet( BarIcon ("remove") ), 0, bottomToolBar );

}

PlaylistView::~PlaylistView()
{
    
}
